__gnu_pbds::sample_ranged_hash_fn(3)

NAME
__gnu_pbds::sample_ranged_hash_fn -

SYNOPSIS

  Public Types
typedef std::size_t size_type

  Public Member Functions
sample_ranged_hash_fn ()
sample_ranged_hash_fn (const sample_ranged_hash_fn &)
void swap (sample_ranged_hash_fn &)

  Protected Member Functions
void notify_resized (size_type)
size_type operator() (key_const_reference) const

Detailed Description

A sample ranged-hash functor.

Definition at line 47 of file sample_ranged_hash_fn.hpp.

Constructor & Destructor Documentation

  __gnu_pbds::sample_ranged_hash_fn::sample_ranged_hash_fn ()

Default constructor.

  __gnu_pbds::sample_ranged_hash_fn::sample_ranged_hash_fn (const sample_ranged_hash_fn &)

Copy constructor.

Member Function Documentation

  void __gnu_pbds::sample_ranged_hash_fn::notify_resized (size_type) [protected]

Notifies the policy object that the container's __size has changed to size.

  size_type __gnu_pbds::sample_ranged_hash_fn::operator() (key_const_reference) const [inline], [protected]

Transforms key_const_reference into a position within the table.

  void __gnu_pbds::sample_ranged_hash_fn::swap (sample_ranged_hash_fn &) [inline]

Swaps content.

Author

Generated automatically by Doxygen for libstdc++ from the source code.